.nav .open > a, 
.nav .open > a:hover, 
.nav .open > a:focus {background-color: transparent;}

/*-------------------------------*/
/*           Wrappers            */
/*-------------------------------*/

#wrapper {
    padding-left: 0;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
    margin-left: auto;
    margin-right: auto;
}

#wrapper.toggled {
    padding-left: 300px;
}

nav[id*='sidebar-wrapper'] {
    z-index: 1000;
    left: 300px;
    width: 0;
    height: 100%;
    margin-left: -300px;
    overflow-y: auto;
    overflow-x: hidden;
    background: #1a1a1a;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
    /* hacemos fijo el men� arriba */
    position: fixed;
    top: 0px;
}

nav[id*='sidebar-wrapper']::-webkit-scrollbar {
  display: none;
}

#wrapper.toggled nav[id*='sidebar-wrapper'] {
    width: 300px;
}

#page-content-wrapper {
    width: 100%;
    position: absolute;
    /*padding-top: 20px;*/
    overflow-x: hidden;
}

#wrapper.toggled #page-content-wrapper {
    position: absolute;
}

#wrapper.toggled header,
#wrapper.toggled div.container,
#wrapper.toggled footer
{
	/*filter: blur(4px) grayscale(100%);
	transition: all 2s;*/
}

/*-------------------------------*/
/*     Sidebar nav styles        */
/*-------------------------------*/

.sidebar-nav {
    position: absolute;
    top: 0;
    width: 300px;
    margin: 0;
    padding: 0;
    list-style: none;
}

.sidebar-nav li {
    position: relative; 
    line-height: 20px;
    display: inline-table;
    width: 100%;
       padding-left: 20px;
}

.sidebar-nav li:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    height: 100%;
    width: 3px;
    background-color: #1c1c1c;
    -webkit-transition: width .2s ease-in;
      -moz-transition:  width .2s ease-in;
       -ms-transition:  width .2s ease-in;
            transition: width .2s ease-in;

}
ul.dropdown-menu li a {
	margin-left: 0px;
}
.sidebar-nav li:before {
	opacity: 0.5;
}
.sidebar-nav li:nth-child(2):before {
    background-color: #ec1b5a;   
}
.sidebar-nav li:nth-child(3):before {
    background-color: #79aefe;   
}
.sidebar-nav li:nth-child(4):before {
    background-color: #314190;   
}
.sidebar-nav li:nth-child(5):before {
    background-color: #279636;   
}
.sidebar-nav li:nth-child(6):before {
    background-color: #7d5d81;   
}
.sidebar-nav li:nth-child(7):before {
    background-color: #ead24c;   
}
.sidebar-nav li:nth-child(8):before {
    background-color: #2d2366;   
}
.sidebar-nav li:nth-child(9):before {
    background-color: #ec1b5a;   
}
.sidebar-nav li:nth-child(10):before {
    background-color: #79aefe;
}
.sidebar-nav li:nth-child(11):before {
    background-color: #314190;   
}
.sidebar-nav li:nth-child(12):before {
    background-color: #7d5d81;   
}
.sidebar-nav li:nth-child(13):before {
    background-color: #ead24c;   
}
.sidebar-nav li:nth-child(14):before {
    background-color: #2d2366;   
}
.sidebar-nav li:nth-child(15):before {
    background-color: #ec1b5a;   
}
.sidebar-nav li:nth-child(16):before {
    background-color: #79aefe;   
}
.sidebar-nav li:nth-child(17):before {
    background-color: #314190;   
}
.sidebar-nav li:nth-child(18):before {
    background-color: #7d5d81;   
}
.sidebar-nav li:nth-child(19):before {
    background-color: #ead24c;   
}
.sidebar-nav li:nth-child(20):before {
    background-color: #35acdf;   
}
.sidebar-nav li:nth-child(n):before {
    background-color: #7af7b76e;
    opacity: 0.75;   
}
.sidebar-nav li:nth-child(1):before {
    /*background-color: inherit;*/      
}

.sidebar-nav li:hover:before,
.sidebar-nav li.open:hover:before {
    width: 100%;
    -webkit-transition: width .2s ease-in;
      -moz-transition:  width .2s ease-in;
       -ms-transition:  width .2s ease-in;
            transition: width .2s ease-in;

}

.sidebar-nav li > a, .sidebar-nav li > span
 {
    display: inline-block;
    color: #ddd;
    text-decoration: none;
    padding: 5px 5px 5px 10px;
    margin-top: 2px;
    vertical-align: top;   
}

.sidebar-nav li a:hover,
.sidebar-nav li a:active,
.sidebar-nav li a:focus,
.sidebar-nav li.open a:hover,
.sidebar-nav li.open a:active,
.sidebar-nav li.open a:focus{
    color: #fff;
    text-decoration: none;
    background-color: transparent;
}
.sidebar-nav li:nth-child(n):hover div {
	color: #dddddd;
}

.sidebar-nav > .sidebar-brand {
    height: 65px;
    font-size: 15px;
    line-height: 44px;
    font-size: 1.15em;
}
.sidebar-nav .dropdown-menu {
    position: relative;
    width: 100%;
    padding: 0;
    margin: 0;
    border-radius: 0;
    border: none;
    background-color: #222;
    box-shadow: none;
    background-color: transparent !important;
}
.dropdown-toggle {
    padding-top: 5px !important;
				padding-bottom: 5px !important;
}

/*-------------------------------*/
/*       Hamburger-Cross         */
/*-------------------------------*/

button[id*='hamburger'] {
	position: fixed;
	top: 2px;  
	z-index: 999;
	display: block;
	width: 22px;
	height: 30px;
	margin-left: 15px;
	background: transparent;
	border: none;
	display: none;
	margin-bottom: 20px;
    margin-right: 20px;
    margin-top: 20px;
}
.hamburger:hover,
.hamburger:focus,
.hamburger:active {
  outline: none;
}
.hamburger.is-closed:before {
  content: '';
  display: block;
  width: 100px;
  font-size: 14px;
  color: #fff;
  line-height: 32px;
  text-align: center;
  opacity: 0;
  -webkit-transform: translate3d(0,0,0);
  -webkit-transition: all .35s ease-in-out;
}
.hamburger.is-closed:hover:before {
  opacity: 1;
  display: block;
  -webkit-transform: translate3d(-100px,0,0);
  -webkit-transition: all .35s ease-in-out;
}

.hamburger.is-closed .hamb-top,
.hamburger.is-closed .hamb-middle,
.hamburger.is-closed .hamb-bottom,
.hamburger.is-open .hamb-top,
.hamburger.is-open .hamb-middle,
.hamburger.is-open .hamb-bottom {
  position: absolute;
  left: 0;
  height: 4px;
  width: 100%;
}
.hamburger.is-closed .hamb-top,
.hamburger.is-closed .hamb-middle,
.hamburger.is-closed .hamb-bottom {
	background-color: #808080;
}
.hamburger.is-closed .hamb-top { 
  top: 5px; 
  -webkit-transition: all .35s ease-in-out;
}
.hamburger.is-closed .hamb-middle {
  top: 50%;
  margin-top: -2px;
}
.hamburger.is-closed .hamb-bottom {
  bottom: 5px;  
  -webkit-transition: all .35s ease-in-out;
}

.hamburger.is-closed:hover .hamb-top {
  /*top: 0;
  -webkit-transition: all .35s ease-in-out;*/
}
.hamburger.is-closed:hover .hamb-bottom {
  /*bottom: 0;
  -webkit-transition: all .35s ease-in-out;*/
}
.hamburger.is-open .hamb-top,
.hamburger.is-open .hamb-middle,
.hamburger.is-open .hamb-bottom {
  background-color: #888888;
}
.hamburger.is-open .hamb-top,
.hamburger.is-open .hamb-bottom {
  top: 50%;
  margin-top: -2px;  
}
.hamburger.is-open .hamb-top { 
  -webkit-transform: rotate(45deg);
  -webkit-transition: -webkit-transform .2s cubic-bezier(.73,1,.28,.08);
}
.hamburger.is-open .hamb-middle { display: none; }
.hamburger.is-open .hamb-bottom {
  -webkit-transform: rotate(-45deg);
  -webkit-transition: -webkit-transform .2s cubic-bezier(.73,1,.28,.08);
}
.hamburger.is-open:before {
  content: '';
  display: block;
  width: 100px;
  font-size: 14px;
  color: #fff;
  line-height: 32px;
  text-align: center;
  opacity: 0;
  -webkit-transform: translate3d(0,0,0);
  -webkit-transition: all .35s ease-in-out;
}
.hamburger.is-open:hover:before {
  opacity: 1;
  display: block;
  -webkit-transform: translate3d(-100px,0,0);
  -webkit-transition: all .35s ease-in-out;
}
.overlay {
	background-color: gray;
    opacity: 0.25;
    height: 100%;
    width: 100%;
    z-index: 999;
    top: 0;
    float: left;
    position: fixed;
}


/* RESTYLING LICYTAL */
/* MENU COLAPSABLE (RESPONSIVE) */

ul.nav li.file {
	background-color: inherit;
	box-shadow:inherit;
    /*margin-bottom: 10px !important;*/
}
ul.nav li.file div a {
	display: inline-block;
	padding-left: 21px;
	color:#fff;
	text-decoration:none;
	color: #000000;
	border-bottom: inherit;
	height: 22px;
}

ul.nav li input {
	width: 1em;
	height: 1em;
	position: absolute;
	left: 1.5em;
	top: 0;
	opacity: 0;
	cursor: pointer;
	width: 100px;
}
ul.nav > li.dropdown {
	margin-top: 0px;
}
ul.nav > li.dropdown > a {
	margin-top: -6px;
    margin-bottom: 0px;
}
ul.nav > li.dropdown > a > div.fa {
	position: relative;
    left: -10px;
    font-size: 1.7em;
    top: 4px;
}
.nav .open>a, .nav .open>a:focus, .nav .open>a:hover {
	border: inherit;
	color: inherit;
	text-decoration: inherit;
}